Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 2892473004: [DevTools] continue-to-location prefers current frame (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 month, 1 week ago by kozy
Modified:
1 month, 1 week ago
Reviewers:
dgozman
CC:
chromium-reviews, caseq+blink_chromium.org, lushnikov+blink_chromium.org, pfeldman+blink_chromium.org, apavlov+blink_chromium.org, devtools-reviews_chromium.org, blink-reviews, pfeldman, kozyatinskiy+blink_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

[DevTools] continue-to-location prefers current frame In case of recursion with new continue-to-location on ctrl click we'll break at current call frame instead of frame in recursion call. BUG=v8:6397 R=dgozman@chromium.org Review-Url: https://codereview.chromium.org/2892473004 Cr-Commit-Position: refs/heads/master@{#473147} Committed: https://chromium.googlesource.com/chromium/src/+/890c278213ee759d9ac2063847168209c38c32e9

Patch Set 1 #

Total comments: 2
Unified diffs Side-by-side diffs Delta from patch set Stats (+7 lines, -1 line) Patch
M third_party/WebKit/Source/devtools/front_end/sdk/DebuggerModel.js View 2 chunks +7 lines, -1 line 2 comments Download
Trybot results:  win_chromium_rel_ng   win_chromium_x64_rel_ng   win_chromium_x64_rel_ng   win_chromium_rel_ng   chromium_presubmit   mac_chromium_rel_ng   linux_android_rel_ng   win_clang   win_chromium_x64_rel_ng   win_chromium_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_compile_dbg_ng   mac_chromium_rel_ng   ios-simulator-xcode-clang   ios-device-xcode-clang   ios-device   ios-simulator   linux_chromium_rel_ng   linux_chromium_tsan_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_asan_rel_ng   chromium_presubmit   chromeos_daisy_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   linux_android_rel_ng   android_n5x_swarming_rel   cast_shell_android   android_cronet   android_compile_dbg   android_arm64_dbg_recipe   android_clang_dbg_recipe   linux_chromium_rel_ng   win_clang   win_chromium_rel_ng   win_chromium_compile_dbg_ng   win_chromium_x64_rel_ng   mac_chromium_compile_dbg_ng   mac_chromium_rel_ng   ios-simulator   ios-simulator-xcode-clang   linux_chromium_tsan_rel_ng   ios-device   ios-device-xcode-clang   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_rel_ng   linux_chromium_asan_rel_ng   chromeos_amd64-generic_chromium_compile_only_ng   chromeos_daisy_chromium_compile_only_ng   chromium_presubmit   cast_shell_android   linux_android_rel_ng   cast_shell_linux   android_compile_dbg   android_cronet   android_n5x_swarming_rel   android_clang_dbg_recipe   android_arm64_dbg_recipe 
Commit queue not available (can’t edit this change).

Messages

Total messages: 16 (9 generated)
kozy
Dmitry, please take a look!
1 month, 1 week ago (2017-05-17 02:01:50 UTC) #1
dgozman
lgtm https://codereview.chromium.org/2892473004/diff/1/third_party/WebKit/Source/devtools/front_end/sdk/DebuggerModel.js File third_party/WebKit/Source/devtools/front_end/sdk/DebuggerModel.js (right): https://codereview.chromium.org/2892473004/diff/1/third_party/WebKit/Source/devtools/front_end/sdk/DebuggerModel.js#newcode1085 third_party/WebKit/Source/devtools/front_end/sdk/DebuggerModel.js:1085: this.payload(), SDK.DebuggerModel.ContinueToLocationTargetCallFrames.Current); There is a Protocol.DebuggerAgent..... enum already.
1 month, 1 week ago (2017-05-18 21:50:32 UTC) #6
kozy
https://codereview.chromium.org/2892473004/diff/1/third_party/WebKit/Source/devtools/front_end/sdk/DebuggerModel.js File third_party/WebKit/Source/devtools/front_end/sdk/DebuggerModel.js (right): https://codereview.chromium.org/2892473004/diff/1/third_party/WebKit/Source/devtools/front_end/sdk/DebuggerModel.js#newcode1085 third_party/WebKit/Source/devtools/front_end/sdk/DebuggerModel.js:1085: this.payload(), SDK.DebuggerModel.ContinueToLocationTargetCallFrames.Current); On 2017/05/18 21:50:32, dgozman wrote: > There ...
1 month, 1 week ago (2017-05-18 23:30:21 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2892473004/1
1 month, 1 week ago (2017-05-18 23:33:17 UTC) #9
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_x64_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_x64_rel_ng/builds/431213)
1 month, 1 week ago (2017-05-19 02:04:31 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2892473004/1
1 month, 1 week ago (2017-05-19 06:46:25 UTC) #13
commit-bot: I haz the power
1 month, 1 week ago (2017-05-19 10:33:15 UTC) #16
Message was sent while issue was closed.
Committed patchset #1 (id:1) as
https://chromium.googlesource.com/chromium/src/+/890c278213ee759d9ac206384716...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cb946e318